Subject: RE: bug#16192: hl-line-mode: Current line highlighting takes precedence over region highlighting

From: Drew Adams <[email-masked]>
Date: Thu, 19 Dec 2013 08:38:47 -0800 (PST)

IMO, this is a duplicate of bug (regression) #15899.

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15899

Now, region highlighting can take a back seat to other highlighting. Not good.

As I said in that thread, "Selection highlighting should, at the very least by default, visibly cover the entire selection."

I use a current emacs build from VCS. When you use hl-line-mode with the default settings, the highlighting of the current line takes precedence over the region highlighting. In my opinion this is bad usability, since you no longer see where the region is, and in this particular situation where the current line is would be obvious without the highlighting (the user is in the middle of selecting the region so he knows where he is in the file I guess).